﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using C1.Silverlight.DataGrid;
using System.ComponentModel;

namespace DataGridTest
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            Console.WriteLine("Hey U");
            List<Person> datasource = new List<Person>();
            for (int i = 0; i <= 50; i++)
            {
                datasource.Add(new Person() { FName = "A" + i.ToString(), MName = "B" + i.ToString(), LName = "C" + i.ToString() });                    
            }
            dg.SelectionMode = DataGridSelectionMode.MultiRow; 
            dg.ItemsSource = datasource;
            dg.Columns[0].Visibility = Visibility.Collapsed;            
        }

        private void dg_KeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key == Key.C && (Keyboard.Modifiers & ModifierKeys.Control) == ModifierKeys.Control)
            {   
                string _data = "";           
                Clipboard.SetText(string.Empty);
                foreach (DataGridCell  p in dg.Selection.SelectedCells )
                {
                    if(p.Column.Visibility==Visibility.Visible)   
                    _data = _data + " "+ p.Text; 
                }              
                Clipboard.SetText(_data);
                e.Handled = true;                 
            } 
        }
    }
        public class Person : INotifyPropertyChanged
        {
            private string fname;
            private string mname;
            private string lname;

            // Declare the event
            public event PropertyChangedEventHandler PropertyChanged;

            public string FName
            {
                get { return fname; }
                set
                {
                    fname = value;
                    // Call OnPropertyChanged whenever the property is updated
                    OnPropertyChanged("FName");
                }
            }

            public string MName
            {
                get { return mname; }
                set
                {
                    mname = value;
                    // Call OnPropertyChanged whenever the property is updated
                    OnPropertyChanged("MName");
                }
            }
            
            public string LName
            {
                get { return lname; }
                set
                {
                    lname = value;
                    // Call OnPropertyChanged whenever the property is updated
                    OnPropertyChanged("LName");
                }
            }
    

            // Create the OnPropertyChanged method to raise the event
            protected void OnPropertyChanged(string name)
            {
                PropertyChangedEventHandler handler = PropertyChanged;
                if (handler != null)
                {
                    handler(this, new PropertyChangedEventArgs(name));
                }
            }
        }
  }


